<!-- <br><br>
<form>
  <div class ="form-group">
    <label for="name">Name  </label>
    <input id="Name" type="text" class="form-control">
  </div><br>
  <div class ="form-group">
    <label for="location">Location  </label>
    <input id="Location" type="text" class="form-control">
  </div><br>
  <div class ="form-group">
    <label for="gender">Gender  </label>
    <input id="Gender" type="text" class="form-control">
  </div><br>
  <div class ="form-group">
    <label for="password">Password  </label>
    <input id="Password" type="text" class="form-control">
  </div><br>
  <button class="btn btn-primary"> Create </button>
</form> -->


<!-- <br><br>

<div class ="container" align = "center">
<form (ngSubmit()="onSubmit()" #userForm="ngForm">

  <div class="form-group">
    <label for="name">Name</label>
    <input type="text" class="form-control" id="name" 
    required
    [(ngModel)]="model.name" name="name">
  </div>

  <div class="form-group">
    <label for="gender">Gender</label>
    <select class="form-control" id="gender" 
    required
    [(ngModel)]="model.gender" name="gender">
      <option *ngFor="let g of genders" [value]="g">{{g}}</option>
    </select>
  </div>

  <div class="form-group">
    <label for="location">Location</label>
    <input type="text" class="form-control" id="location" 
    required
    [(ngModel)]="model.location" name="location">
  </div>

  <div class="form-group">
    <label for="password">Password</label>
    <input type="text" class="form-control" id="password" 
    required
    [(ngModel)]="model.password" name="password">
  </div>

  <button type="submit" class="btn btn-success">Submit</button>

</form> 
</div> -->


  <!-- <label>User Name:
    <input #userName />
  </label><br><br>
  <label>Location:
    <input #userLocation />
  </label><br><br>
  <label>Gender:
    <select #userGender>
      <option value="Male">Male</option>
      <option value="Female">Female</option>
      <option value="Other">Other</option>
    </select>
  </label><br><br>
  <label>Password:
    <input #userPassword />
  </label><br><br>
  <button (click)="add(userName.value,userLocation.value,userGender.value,userPassword.value); userName.value='';userLocation.value='';userPassword.value='';">
    Create
  </button> -->







  <h2 align ="center">Register</h2> <br>
<form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
        <label for="name">Name</label>
        <input type="text" formControlName="name" class="form-control" required />   
    </div>
    <!-- Validation action -->
    <div *ngIf="registerForm.controls['name'].invalid && (registerForm.controls['name'].dirty || registerForm.controls['name'].touched)" class="alert alert-warning" >
      <div *ngIf="registerForm.controls['name'].errors.required">
      Name is required.
    </div>
  </div>



    <!-- <div class="form-group">
        <label for="location">Location</label>
        <input type="text" formControlName="location" class="form-control" />
    </div> -->

    <div class="form-group">
      <label for="location">Location</label><br>
      <span *ngFor="let l of locations">
        <input type="radio" formControlName="location" [value]="l">{{l}} &nbsp; &nbsp; &nbsp;
      </span>
    </div>


    <div class="form-group">
        <label for="gender">Gender</label>

        <!-- <select formControlName="gender" class="form-control">
          <option value="Male">Male</option>
          <option value="Female">Female</option>
          <option value="Other">Other</option>
        </select> -->

        <!-- looping over gender array from ts -->
        <select formControlName="gender" class= "form-control">
          <option *ngFor="let g of gender; let i = index" [value]="gender[i].name">
            {{gender[i].name}}
          </option>
        </select>


    </div>
    <div class="form-group">
        <label for="password">Password</label>
        <input type="password" formControlName="password" class="form-control" required/>
    </div>

        <!-- Validation action -->
        <div *ngIf="registerForm.controls['password'].invalid && (registerForm.controls['password'].dirty || registerForm.controls['password'].touched)" class="alert alert-warning" >
          <div *ngIf="registerForm.controls['password'].errors.required">
          Password is required.
        </div>
      </div>

      <!-- Checkbox agreeing to terms and conditions -->
        <input type="checkbox" formControlName="checkbox" required>
        <label for="checkbox">
           &nbsp; I Agree to the <a href="http://localhost:4200/terms" target="_blank" class="text-primary" targe>terms and conditions!</a> 
        </label>

    <div class="form-group"><br>
        <button class="btn btn-primary" [disabled]="!registerForm.valid">Register</button> &nbsp; &nbsp;
        <a routerLink = "" class= " btn btn-danger">Cancel</a>
    </div>
</form>